Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class XmlNameImpl

    java.lang.Object
      org.apache.xmlbeans.impl.common.XmlNameImpl

All Implemented Interfaces:
  XMLName

    public class XmlNameImpl

extends java.lang.Object
implements XMLName

Constructor Summary
`XmlNameImpl()`
`XmlNameImpl(java.lang.String localName)`
`XmlNameImpl(java.lang.String namespaceUri, java.lang.String localName)`
`XmlNameImpl(java.lang.String namespaceUri, java.lang.String localName, java.lang.String prefix)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceUri()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getQualifiedName()`
`int` | `hashCode()`
`void` | `setLocalName(java.lang.String localName)`
`void` | `setNamespaceUri(java.lang.String namespaceUri)`
`void` | `setPrefix(java.lang.String prefix)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlNameImpl

    public XmlNameImpl()

### XmlNameImpl

    public XmlNameImpl(java.lang.String localName)

### XmlNameImpl

    public XmlNameImpl(java.lang.String namespaceUri,
                       java.lang.String localName)

### XmlNameImpl

    public XmlNameImpl(java.lang.String namespaceUri,
                       java.lang.String localName,
                       java.lang.String prefix)

Method Detail

### getNamespaceUri

    public java.lang.String getNamespaceUri()

  Specified by:
    `getNamespaceUri` in interface `XMLName`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `XMLName`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `XMLName`

### setNamespaceUri

    public void setNamespaceUri(java.lang.String namespaceUri)

### setLocalName

    public void setLocalName(java.lang.String localName)

### setPrefix

    public void setPrefix(java.lang.String prefix)

### getQualifiedName

    public java.lang.String getQualifiedName()

  Specified by:
    `getQualifiedName` in interface `XMLName`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD